So-net無料ブログ作成
検索選択
Jw_cad関連プログラム ブログトップ

Excel to Jw_winで「実行時エラー」 [Jw_cad関連プログラム]

Excel to Jw_winで、Excelの表をJw_cadに貼り付けようとするが、Excelで「JW_WINへコピー」ボタンをクリックした段階で、下図のエラーメッセージが出てしまい、先に進めない。
0709-1.jpg
-という質問がありましたので、元のExcelデータを送ってもらい確認しました。

この時は、㎥(りゅうべい)というunicodeと呼ぶ、Jw_cadでは使用できない文字がコピー対象としたセルに記入されていたことが原因でした。

そのほかに、コピー対象にフォント名、フォントサイズが設定されていないセルがある場合にもこのエラーが出るそうです。

-------obraclub.com-----

M7のβ機能「PDFファイルの読み込み」試用レポート追加記事 [Jw_cad関連プログラム]

以前、M7のβ機能「PDFファイルの読み込み」機能を試したところ、変換結果がかなりよかったため、試用レポートをホームページに掲載しました。
▼元のPDFファイル
07241orgPDF.jpg
▼上記をM7で開いたところ
07242-M7.jpg

M7の解説には-
※PDF読込機能はβです。画像未対応、文字コードも限定的な対応です。文字化け、位置ずれ等で読めないPDFが多々ある事をご了承ください。

-との記載がありましたが、当時、テストに利用したPDFファイルは、2007年に「PDFファイルをJw_cadで読み込めるか?」で使用したファイルということもあり、問題なく、かなりよい状態で変更できましたので、「開けないPDFファイルがそんなにあるのかなぁ?」と能天気にも思っておりました。

が、本日、AcrobatXIで作成したPDFファイルの読み込みを試したら、以下のメッセージボックスが表示され、開けませんでした。
07243M7-PDFIN.jpg

そこで、手元にあるいくつかのPDF作成ソフトでPDFファイルを作成し、試してみました。
PDFファイルには、いくつかのバージョンがあり、作成ソフトによってはバージョンを指定してPDFファイルを作成できます。
PDFファイルのバージョンが1.3、1.4 のものはM7で開けました。
ver1.5、1.6、1.7のものは、上記のメッセージウィンドウが表示され、開けませんでした。が、なぜか、Adebe Acrobat6.0で作成したver1.5のPDFファイルに限り開けました。

ちなみに作成ソフト別にみると
PeimoPDF4.1 開ける(ver1.3)
いきなりPDF  開ける(ver1.4)
Acrobat6.0   開ける (ver1.4/1.5)
Acrobat9    開けない(ver1.5)
AcrobatXI    開けない (ver1.5~1.7)
CubePDF    開けない(ver1.7)
-という結果でした。

それでは、Adobe Acrobatを使って、開けないPDFをバージョンダウンしたらどうか?

やってみました。
▼AcrobatXIでver1.4にバージョンダウンしたものをM7で開く
07244-verdn11.jpg
▼Acrobat6.0でver1.4にバージョンダウンしたものをM7で開く
07245-verdn6.jpg
結果に多少の違いはありますが、一部の要素しか読めないのは同じですね。
バージョンダウンでは解決できないということですね。残念。(o´д`o)=3

ダメ元でもうひとつ!
AcrobatでPDFを開いて、さらに「印刷」コマンドからver1.4を指定してPDFファイルを作成したらどうよ? と思い立ってやってみたのが下の結果です。
▼Acrobat6を使って、ver1.4のPDFを作成
07246-acr6-14sd.jpg
日本語や一部の寸法値が化けていますが、バージョンダウンしたものよりオリジナルに近いです。
でも、Acrobat6.0自体、古いソフトですから現実的ではないですね。
▼AcrobatXIを使って、ver1.4のPDFを作成
07247-acr11-14sd.jpg
こちらは、全然だめ~。|||(-_-;)||||||
M7の正式機能になるのを気長に待つしかないようですね。

-------obraclub.com-----
Jw_cad関連プログラム ブログトップ